Skip to main content
DELETE
/
applications
/
{application_id}
/
documents
/
{document_id}
Delete an onboarding document
curl --request DELETE \
  --url https://api.platform.dakota.xyz/applications/{application_id}/documents/{document_id} \
  --header 'x-api-key: <api-key>'
{
  "type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
  "title": "Bad request - invalid format or application cannot accept modifications",
  "status": 400,
  "detail": "Bad request - invalid format or application cannot accept modifications",
  "instance": "https://api.platform.dakota.xyz/applications/example-id/documents/example-id",
  "request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}

Authorizations

x-api-key
string
header
required

Path Parameters

application_id
string
required

The unique identifier for the application KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

document_id
string
required

The unique identifier for the document to delete KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

Response

Document successfully deleted